import * as s3 from 'aws-cdk-lib/aws-s3';
import { Construct } from 'constructs';
/**
 * @TODO: Not yet supported
 * https://github.com/aws/jsii/issues/4468
 * type omitKeys = 'publicReadAccess|enforceSSL|blockPublicAccess';
 * export interface CodePipelineStateChangeDetectionEventRuleProps extends Omit<s3.BucketProps, 'publicReadAccess'> {}
 */
export interface SecureBucketProps extends s3.BucketProps {
    /**
     * If you are setting a custom Qualifier and using it as the artifact bucket for the CDK pipeline, set it to true.
     *
     * @default false
     */
    readonly isPipelineArtifactBucket?: boolean;
    /**
     * If your are using it as the CloudFront orign bucket, set it to true.
     */
    readonly isCloudFrontOriginBucket?: boolean;
}
export declare class SecureBucket extends s3.Bucket {
    constructor(scope: Construct, id: string, props?: SecureBucketProps);
}
